PUT
Update Story
Update a story. PUT /api/voice/stories/{story_id} All requests authenticate with your PeachDesk API key in the X-API-Key header (an interactive session token in Authorization: Bearer also works тАФ see Authentication). Use the playground to send a live request and inspect the response.

Authorizations

X-API-Key
string
header
required

Organization API key (bibha_...). Takes precedence over the session credential, and is refused outright on user-session-only and super-admin routes.

Path Parameters

story_id
string
required

Body

application/json

Request model for creating a story.

name
string
required
Required string length: 1 - 100
description
string | null
Maximum string length: 500

Response

Successful Response

Response model for story (list view).

id
string
required
name
string
required
description
string | null
required
created_at
string<date-time>
required
updated_at
string<date-time>
required
item_count
integer
default:0